> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a specific stage instance



## OpenAPI

````yaml /api-reference/4.2/service-index-stages.json put /index-stages/instances/{id}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service index-stages
servers:
  - url: /api/apollo/
security: []
tags:
  - name: index-stages
paths:
  /index-stages/instances/{id}:
    put:
      tags:
        - 4.2 Index Stages API
      summary: Update a specific stage instance
      operationId: createOrUpdateStageInstance
      parameters:
        - name: id
          in: path
          description: The stage ID
          required: true
          schema:
            type: string
        - name: If-Match
          in: header
          description: An entity tag to match against the specified stage instance
          required: false
          schema:
            type: string
            default: '"-1"'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StageConfig'
        description: JSON-formatted configuration values
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StageConfig'
components:
  schemas:
    StageConfig:
      type: object
      properties:
        type:
          type: string
          readOnly: true
        id:
          type: string
          readOnly: true
        skip:
          type: boolean
          default: false
        label:
          type: string
        condition:
          type: string

````